package de.ivu.elect.presentation.wahlbeteiligung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufConstants;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.wahlbeteiligung.exchange.WahlbeteiligungVerlaufExportDescription;

public class WahlbeteiligungVerlaufExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private WahlbeteiligungVerlaufExportDescription exportDescription;

  public WahlbeteiligungVerlaufExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return exportDescription;
  }

  @Override
  public String getLabel() {
    return getMessage(getLabelKey(), getMessage(WahlbeteiligungVerlaufConstants.MESSAGE_KEY_ENTITY_EINZAHL));
  }

}
